# $Revision: 1.45 $, $Date: 2009/09/14 19:53:49 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Locale
%define		pnam	Maketext-Lexicon
Summary:	Locale::Maketext::Lexicon - use other catalog formats in Maketext
Summary(pl.UTF-8):	Locale::Maketext::Lexicon - używanie innych formatów katalogów w Maketext
Name:		perl-Locale-Maketext-Lexicon
Version:	0.77
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Locale/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	622dada722fb6db0e49e453c843af83c
URL:		http://search.cpan.org/dist/Locale-Maketext-Lexicon/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Locale-Maketext
BuildRequires:	perl-Regexp-Common
BuildRequires:	perl-Test-Simple
# to resolve dependency package name only:
BuildRequires:	perl-Lingua-EN-Sentence
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides lexicon-handling modules to read from other
localization formats, such as Gettext, Msgcat, and so on.

%description -l pl.UTF-8
Ten moduł udostępnia moduły do obsługi słowników, pozwalające czytać z
innych formatów plików lokalizacyjnych, takich jak Gettext, Msgcat
itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS Change* README
%{perl_vendorlib}/%{pdir}/Maketext/*.pm
%{perl_vendorlib}/%{pdir}/Maketext/Lexicon
%{perl_vendorlib}/%{pdir}/Maketext/Extract
%{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Locale-Maketext-Lexicon.spec,v $
Revision 1.45  2009/09/14 19:53:49  arekm
- up to 0.77

Revision 1.44  2008/12/01 13:58:22  arekm
- up to 0.75

Revision 1.43  2008-04-02 08:57:38  arekm
- up to 0.66

Revision 1.42  2007-12-24 02:18:57  zbyniu
- up to 0.65

Revision 1.41  2007-09-11 07:48:24  arekm
-up to 0.64

Revision 1.40  2007/03/31 11:36:25  qboosh
- generic URL

Revision 1.39  2007/03/23 11:24:16  radek
- version 0.62

Revision 1.38  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.36  2005/01/03 19:55:53  adamg
- updated to 0.46

Revision 1.35  2004/12/01 17:38:57  radek
- autoupdated to 0.45

Revision 1.34  2004/11/03 22:30:30  paladine
- formatting

Revision 1.33  2004/10/10 01:25:30  havner
- rel 2 for rebuild

Revision 1.32  2004/08/26 06:07:34  adamg
- updated to 0.40

Revision 1.31  2004/06/05 18:10:43  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.30  2004/05/06 18:20:30  ankry
- fixed perl-devel BR

Revision 1.29  2004/04/27 19:51:54  adamg
- updated to 0.38

Revision 1.28  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.27  2004/04/22 18:21:29  ankry
- license fixes & unification

Revision 1.26  2004/04/20 23:59:32  ankry
- ported to new bconds

Revision 1.25  2004/04/14 20:54:13  ankry
- cosmetics, unification

Revision 1.24  2004/04/09 18:50:42  adamg
- updated to 0.36

Revision 1.23  2004/03/06 19:40:32  adamg
- updated to 0.35

Revision 1.22  2004/01/24 22:27:00  arekm
- autoupdated to 0.34

Revision 1.21  2003/09/20 12:06:49  arekm
- added Epoch: 1

Revision 1.20  2003/09/18 13:19:32  adamg
- updated to 0.28

Revision 1.19  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.18  2003/08/18 08:08:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/07/29 15:54:36  adamg
- updated to 0.27

Revision 1.16  2003/06/12 23:13:32  misi3k
- updated to 0.26

Revision 1.15  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:24:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.12  2003/03/01 19:37:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.11  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.10  2003/02/22 23:03:06  ankry
- BR: perl-Lingua-EN-Sentence

Revision 1.9  2003/02/22 21:52:32  ankry
- autoupdated to 0.16

Revision 1.8  2003/02/18 15:35:41  ankry
- massive attack: change CPAN URLs

Revision 1.7  2003/01/08 12:36:26  mis
- autoupdated to 0.15

Revision 1.6  2002/11/28 18:08:13  mis
- autoupdated to 0.14

Revision 1.5  2002/10/05 12:49:33  ankry
- (auto)updated to 0.092

Revision 1.4  2002/09/17 23:17:55  ankry
- %%{perl_sitelib}/Locale/Maketext moved to perl-Locale-Maketext
- release 3

Revision 1.3  2002/09/16 08:25:26  ankry
- added missing dir
- release 2

Revision 1.2  2002/08/31 21:43:43  qboosh
- pl description

Revision 1.1  2002/08/31 12:24:13  radek
- new, STBR
